Opus Interactive Audio Codec, version 1.3, Oct 21, 2018

Usage: opusenc [options] input_file output_file.opus

Encode audio using Opus.
The input format can be Wave, AIFF, FLAC, Ogg/FLAC, or raw PCM.

input_file can be:
  filename.wav      file
  -                 stdin

output_file can be:
  filename.opus     compressed file
  -                 stdout

General options:
 -h, --help         Show this help
 -V, --version      Show version information
 --help-picture     Show help on attaching album art
 --quiet            Enable quiet mode

Encoding options:
 --bitrate n.nnn    Set target bitrate in kbit/s (6-256/channel)
 --vbr              Use variable bitrate encoding (default)
 --cvbr             Use constrained variable bitrate encoding
 --hard-cbr         Use hard constant bitrate encoding
 --music            Tune low bitrates for music (override automatic detection)
 --speech           Tune low bitrates for speech (override automatic detection)
 --comp n           Set encoding complexity (0-10, default: 10 (slowest))
 --framesize n      Set maximum frame size in milliseconds
                      (2.5, 5, 10, 20, 40, 60, default: 20)
 --expect-loss n    Set expected packet loss in percent (default: 0)
 --downmix-mono     Downmix to mono
 --downmix-stereo   Downmix to stereo (if >2 channels)
 --no-phase-inv     Disable use of phase inversion for intensity stereo
 --max-delay n      Set maximum container delay in milliseconds
                      (0-1000, default: 1000)

Metadata options:
 --title title      Set track title
 --artist artist    Set artist or author, may be used multiple times
 --album album      Set album or collection
 --tracknumber n    Set track number
 --genre genre      Set genre, may be used multiple times
 --date YYYY-MM-DD  Set date of track (YYYY, YYYY-MM, or YYYY-MM-DD)
 --comment tag=val  Add the given string as an extra comment
                      This may be used multiple times
 --picture file     Attach album art (see --help-picture)
                      This may be used multiple times
  The --picture option can be used with a FILENAME, naming a JPEG,
  PNG, or GIF image file, or a more complete SPECIFICATION. The
  SPECIFICATION is a string whose parts are separated by | (pipe)
  characters. Some parts may be left empty to invoke default values.
  A plain FILENAME is just shorthand for "||||FILENAME".

  The format of SPECIFICATION is:
  [TYPE]|[MEDIA-TYPE]|[DESCRIPTION]|[WIDTHxHEIGHTxDEPTH[/COLORS]]|FILENAME

  TYPE is an optional number from one of:
     0: Other
     1: 32x32 pixel 'file icon' (PNG only)
     2: Other file icon
     3: Cover (front)
     4: Cover (back)
     5: Leaflet page
     6: Media (e.g., label side of a CD)
     7: Lead artist/lead performer/soloist
     8: Artist/performer
     9: Conductor
    10: Band/Orchestra
    11: Composer
    12: Lyricist/text writer
    13: Recording location
    14: During recording
    15: During performance
    16: Movie/video screen capture
    17: A bright colored fish
    18: Illustration
    19: Band/artist logotype
    20: Publisher/studio logotype

  The default is 3 (front cover). More than one --picture option can
  be specified to attach multiple pictures. There may only be one
  picture each of type 1 and 2 in a file.

  MEDIA-TYPE is optional and is now ignored.

  DESCRIPTION is optional. The default is an empty string.

  The next part specifies the resolution and color information, but
  is now ignored.

  FILENAME is the path to the picture file to be imported.
 --padding n        Reserve n extra bytes for metadata (default: 512)
 --discard-comments Don't keep metadata when transcoding
 --discard-pictures Don't keep pictures when transcoding

Input options:
 --raw              Interpret input as raw PCM data without headers
 --raw-bits n       Set bits/sample for raw input (default: 16)
 --raw-rate n       Set sampling rate for raw input (default: 48000)
 --raw-chan n       Set number of channels for raw input (default: 2)
 --raw-endianness n 1 for big endian, 0 for little (default: 0)
 --ignorelength     Ignore the data length in Wave headers

Diagnostic options:
 --serial n         Force use of a specific stream serial number
 --save-range file  Save check values for every frame to a file
 --set-ctl-int x=y  Pass the encoder control x with value y (advanced)
                      Preface with s: to direct the ctl to multistream s
                      This may be used multiple times